############################################################################
# This is the template file for utility tmake to generate Makefile	   #
# for GOLEM project, the library (http://www.cgg.cvut.cz/GOLEM)		   #
# For information about tmake see ftp://ftp.trolltech.com/freebies/tmake/  #
# Run "tmake src.pro > Makefile"					   #
#									   #
# For MSVC run tmake -t vcapp -o gollibwtp.dsp gollibwtp.pro               #
############################################################################

PROJECT		= gollib
TEMPLATE	= lib

# The configuration of the result
#CONFIG		= staticlib warn_on debug
CONFIG		= dll

#####################################################
# Select one from the options
#CONFIG		+= warn_on
#CONFIG		+= warn_off

#CONFIG		+= debug
#CONFIG		+= release

#####################################################
# Specific options
SPECOPTIONS	= _DEBUG __EXCLUDE_THIRD_PARTY_LIBRARIES
unix:SPECOPTIONS  += __UNIX__

# Select them from the possibilities below
#SPECOPTIONS       = __POLYGON_INFO __POLYGON_STATISTICS



#####################################################
# Do not change the settings below if possible
#####################################################
TARGET			= sbrdflib
VERSION			= 0.98
DESTDIR			= ./lib
DEPENDPATH 		= .
INCLUDEPATH		= .
INCLUDE_H		= .
SRC_H			= .
THIRD_PARTY_H   	= .
win32:INCLUDEPATH 	+= .
OBJECTS_DIR		= ./objs
win32:OBJECTS_DIR	= ./wobjs
CLEAN_FILES	= core *~ $$INCLUDEPATH/*~ $$OBJECTS_DIR/*.o $$SRC_H/*~ $$SRC_H/*/*~ $$SRC_H/*/*/*~

# The character which serves as DIR separator in file path
unix:DIRCAT		= 0x2f
#unix:DIRCAT		= \'/\'
win32-msvc:DIRCAT	= 92
win32-g++:DIRCAT	= 0x2f

unix:LIBS	 	= -lm
win32-g++:LIBS	 	= -lm
# Memory leaks detection under Linux using CCMALOC library
#unix:LIBS		+= ../../utils/ccmalloc/src/obj/ccmalloc.o -ldl
#unix:LIBS		+= /usr/lib/ccmalloc.o -ldl

# The options used for compilation
COMPOPTIONS	= "\"$$CONFIG DIRCAT=$$DIRCAT $$DEFINES $$SPECOPTIONS"\"

DEFINES = DIRCAT=$$DIRCAT
DEFINES += $$SPECOPTIONS
DEFINES	+= COMPILE_OPTIONS=$$COMPOPTIONS

# Definition for Unix
unix:LIBEXT		= .a
win32-g++:LIBEXT	= .a
win32-msvc:LIBEXT	= .lib

########################################################
# The 3rd-party libraries to be used
# NOTE: When __EXCLUDE_THIRD_PARTY_LIBRARIES is defined,
# then including all this libraries in linking increases
# time of compilation!!!!!! Comment them in this case
########################################################
#LIBS		+= ./$$THIRD_PARTY_H/lib/libjpeg$$LIBEXT
## This below is required for CYGWIN
#win32-g++:LIBS      += ./$$THIRD_PARTY_H/lib/libpng.dll$$LIBEXT

#unix:LIBS	+=
#win32:LIBS	+= 

#####################################################
# Add possibly a new header file here

HEADERS = $$INCLUDE_H/AuxFuncs.h \
          $$INCLUDE_H/AuxRND.h \
          $$INCLUDE_H/brdfmeasured.h \
          $$INCLUDE_H/brdfmodel.h \
          $$INCLUDE_H/brdfstrings.h \
          $$INCLUDE_H/colorcnv.h \
          $$INCLUDE_H/configg.h \
          $$INCLUDE_H/configh.h \
          $$INCLUDE_H/matusik.h \
          $$INCLUDE_H/mtwister.h \
          $$INCLUDE_H/phong.h

# Unused H files in order to exclude third-party libraries
# ###########################################################
#UNIX::HEADERS += $$INCLUDE_H/file001.h

#####################################################
# Add possibly a new source file here

SOURCES = $$SRC_H/AuxFuncs.cpp \
          $$SRC_H/AuxRND.cpp \
          $$SRC_H/brdfmeasured.cpp \
          $$SRC_H/brdfmodel.cpp \
          $$SRC_H/brdfstrings.cpp \
          $$SRC_H/colorcnv.cpp \
          $$SRC_H/phong.cpp

# Unused CPP files in order to exclude third-party libraries
# ###########################################################
#UNIX::SOURCES += $$SRC_H/file001.cpp
